Name:	lifeograph
Version:0.6.2
Release:3%{?dist}
Summary:Private digital diary	

Group:	Applications/Productivity
License:GPLv3+
URL:	http://lifeograph.wikidot.com/
Source0:http://launchpad.net/%{name}/0.6/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:	gtkspell-devel libgcrypt-devel gconfmm26-devel gtkmm24-devel gettext desktop-file-utils

%description
Lifeograph is an off-line and private journal and note taking application.

%prep
%setup -q
sed -i -e "/^GenericName=.*$/d" -e "s/^Categories=.*$/Categories=Office;Calendar;/" %{name}.desktop

%build
make %{?_smp_mflags} OPTFLAGS="%{optflags}" LINKFLAGS=""


%install
make debug install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
desktop-file-install \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications lifeograph.desktop

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS COPYING AUTHORS
%{_bindir}/lifeograph
%{_datadir}/applications/lifeograph.desktop
%{_datadir}/icons/hicolor/*/apps/lifeograph.png
%{_datadir}/lifeograph
%{_datadir}/pixmaps/lifeograph.png
%{_datadir}/pixmaps/lifeograph


%changelog
* Fri May 28 2010 Gowrishankar Rajaiyan <gsr@redhat.com> - 0.6.2-3
- Updated the spec file as per comment 10 of BZ-582106.

* Thu May 27 2010 Gowrishankar Rajaiyan <gsr@redhat.com> - 0.6.2-2
- Updated the spec file as per Mamoru's review in comment 7 of BZ-582106.

* Mon May 24 2010 Gowrishankar Rajaiyan <gsr@redhat.com> - 0.6.2-1
- Updated the spec file as per Mamoru's review in comment 1 of BZ-582106. Forgot to update the version number.

* Fri Apr 09 2010 Gowrishankar Rajaiyan <gsr@redhat.com> - 0.6.2-1
- initial spec
